> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# सूची के सदस्य

> सूचियों के सदस्यों को देखें, जोड़ें और हटाएँ

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

सूची सदस्य एंडपॉइंट की मदद से आप सूची के सदस्यों को देख सकते हैं, अपनी सूचियों में सदस्य जोड़ सकते हैं और उन्हें हटा सकते हैं। आप यह भी देख सकते हैं कि कोई उपयोगकर्ता किन सूचियों का सदस्य है।

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="सदस्य देखें" icon="users">
    किसी सूची के सभी सदस्यों को देखें
  </Card>

  <Card title="सदस्य जोड़ें" icon="user-plus">
    अपनी सूची में किसी उपयोगकर्ता को जोड़ें
  </Card>

  <Card title="सदस्य हटाएँ" icon="user-minus">
    अपनी सूची से किसी उपयोगकर्ता को हटाएँ
  </Card>

  <Card title="सदस्यताएँ" icon="list">
    देखें कि कोई उपयोगकर्ता किन सूचियों में शामिल है
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## एंडपॉइंट्स
</div>

<div id="list-members-lookup">
  ### सूची के सदस्यों को देखना
</div>

| विधि | एंडपॉइंट                                                                | विवरण                                                 |
| :--- | :---------------------------------------------------------------------- | :---------------------------------------------------- |
| GET  | [`/2/lists/:id/members`](/hi/x-api/lists/get-list-members)              | किसी सूची के सदस्यों को प्राप्त करें                  |
| GET  | [`/2/users/:id/list_memberships`](/hi/x-api/users/get-list-memberships) | वे सूचियाँ प्राप्त करें जिनका कोई उपयोगकर्ता सदस्य है |

<div id="manage-list-members">
  ### सूची के सदस्यों का प्रबंधन
</div>

| विधि   | एंडपॉइंट                                                              | विवरण        |
| :----- | :-------------------------------------------------------------------- | :----------- |
| POST   | [`/2/lists/:id/members`](/hi/x-api/lists/add-list-member)             | सदस्य जोड़ें |
| DELETE | [`/2/lists/:id/members/:user_id`](/hi/x-api/lists/remove-list-member) | सदस्य हटाएँ  |

***

<div id="example-get-list-members">
  ## उदाहरण: सूची के सदस्य प्राप्त करें
</div>

```bash theme={null}
curl "https://api.x.com/2/lists/1234567890/members?\
user.fields=username,verified" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-add-a-member">
  ## उदाहरण: सदस्य जोड़ें
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/lists/1234567890/members" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"user_id": "9876543210"}'
```

***

<div id="getting-started">
  ## शुरुआत करें
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और App](/hi/resources/fundamentals/developer-apps)
  * आपके App की [keys और tokens](/hi/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="लुकअप के लिए त्वरित शुरुआत" icon="users" href="/hi/x-api/lists/list-members/quickstart/list-members-lookup">
    किसी सूची के सदस्य प्राप्त करें
  </Card>

  <Card title="प्रबंधन के लिए त्वरित शुरुआत" icon="user-plus" href="/hi/x-api/lists/list-members/quickstart/manage-list-members">
    सदस्यों को जोड़ें और हटाएँ
  </Card>

  <Card title="एकीकरण मार्गदर्शिका" icon="book" href="/hi/x-api/lists/list-members/integrate">
    मुख्य अवधारणाएँ और सर्वोत्तम प्रक्रियाएँ
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/lists/list-members-lookup">
    एंडपॉइंट का पूरा दस्तावेज़ीकरण
  </Card>
</CardGroup>
